Skip to main content
POST
Send A2Ui Action

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
string<uuid>
required
task_id
string<uuid>
required
workspace
string
required

Slug of the workspace the request acts in

Maximum string length: 120
Pattern: ^[a-z0-9]+(?:-[a-z0-9]+)*$

Body

application/json

Validated A2UI action payload from the frontend.

name
string
required
Maximum string length: 128
surface_id
string
required
Maximum string length: 64
context
Context · object
source_component_id
string
default:""
Maximum string length: 128

Response

Successful Response